All mixed up

I was foolish enough to reply to Sarah Tear's Xmas mail out and got a reply that said how 'I love hearing from you, I really do, but over the years my newsletter audience has grown quite large and it's become impossible to reply personally to each message' and to take pot luck on the forum.
I was doing early work on my New Year’s resolution and one was to install 1Password, at last, having had v 2.5.1, 2.9.21 and 3.8.20 and always been too scared to take the plunge of trusting my passwords to an app. Now I think I am more scared of my weak passwords and my ways of memorising them!
When I ran 3.8.20 it did not recognise what I thought was the password for the free upgrade to 3.8.22. It might have been the p/w for 2.5.1, but that won't work with 10.6.8, so I don't know.
The current offer is for $31.99, but I can't look at the upgrade price without a valid p/w.
I need a version for 10.9.5 until I replace my 2007 iMac that will work with both iOS and Android apps as I assume that if I switch to 1P on my Mac it will invalidate all my existing p/ws for other platforms. I envisage a painful new year’s transition, but I have no idea if I just have to start over and buy again or what.
Cheers,
Colin


1Password Version: 3.8.20
Extension Version: Not Provided
OS Version: 10.9.5
Sync Type: Not Provided

Comments

  • khadkhad Social Choreographer

    Team Member
    edited December 2015

    Hi Colin,

    Thanks for taking the time to contact us. Sara is indeed busy, but I'm happy to help you. :)

    Now I think I am more scared of my weak passwords and my ways of memorising them!

    I think that is a wise realization to come to. ;)

    I spotted your email in our queue, and I've written back to you there. We'll work with you via email until everything is resolved so that we are not duplicating efforts or creating any confusion.
    ref: NNQ-24196-117

This discussion has been closed.